· · · ·
Public Functions | Public Members
QCPErrorBarsData Class Reference

Holds the data of one single error bar for QCPErrorBars. More...

## Public Functions
| QCPErrorBarsData ()
| QCPErrorBarsData (double error)
| QCPErrorBarsData (double errorMinus, double errorPlus)

## Public Members
double | errorMinus
double | errorPlus

## Detailed Description

Holds the data of one single error bar for QCPErrorBars.

The stored data is:

- errorMinus: how much the error bar extends towards negative coordinates from the data point position
- errorPlus: how much the error bar extends towards positive coordinates from the data point position

The container for storing the error bar information is QCPErrorBarsDataContainer. It is a typedef for `QVector<QCPErrorBarsData>`.

See also
  QCPErrorBarsDataContainer

## Constructor & Destructor Documentation

## § QCPErrorBarsData() [1/3]

QCPErrorBarsData::QCPErrorBarsData | ( |  | ) |

Constructs an error bar with errors set to zero.

## § QCPErrorBarsData() [2/3]

QCPErrorBarsData::QCPErrorBarsData | ( | double | error | ) |
| explicit

Constructs an error bar with equal error in both negative and positive direction.

## § QCPErrorBarsData() [3/3]

QCPErrorBarsData::QCPErrorBarsData | ( | double | errorMinus,
|  | double | errorPlus
| ) |  |

Constructs an error bar with negative and positive errors set to errorMinus and errorPlus, respectively.

The documentation for this class was generated from the following files:

- src/plottables/plottable-errorbar.h
- src/plottables/plottable-errorbar.cpp